import globals from '../globals';
import { UserAttributeClass } from '../../components/descope-user-attribute/UserAttributeClass';
import { getThemeRefs } from '../../helpers/themeHelpers';

const globalRefs = getThemeRefs(globals);
export const vars = UserAttributeClass.cssVarList;

const userAttribute = {
  [vars.hostDirection]: globalRefs.direction,
  [vars.labelTextWidth]: '150px',
  [vars.valueTextWidth]: '200px',
  [vars.badgeMaxWidth]: '85px',
  [vars.itemsGap]: '16px',
  [vars.hostMinWidth]: '530px',
  _fullWidth: {
    [vars.hostWidth]: '100%',
  },
};

export default userAttribute;
