import globals from '../globals';
import { getThemeRefs } from '../../helpers/themeHelpers';
import { ModalClass } from '../../components/descope-modal/ModalClass';

const globalRefs = getThemeRefs(globals);

const compVars = ModalClass.cssVarList;

const modal = {
  [compVars.overlayBackgroundColor]: globalRefs.colors.surface.main,
  [compVars.overlayShadow]: globalRefs.shadow.wide['2xl'],
  [compVars.overlayWidth]: '540px',
};

export default modal;

export const vars = {
  ...compVars,
};
