import globals from '../globals';
import { UserAuthMethodClass } from '../../components/descope-user-auth-method/UserAuthMethodClass';
import { getThemeRefs } from '../../helpers/themeHelpers';

const globalRefs = getThemeRefs(globals);
export const vars = UserAuthMethodClass.cssVarList;

const userAuthMethod = {
  [vars.hostDirection]: globalRefs.direction,
  [vars.labelTextWidth]: '200px',
  [vars.itemsGap]: '16px',
  [vars.hostMinWidth]: '530px',
  [vars.iconSize]: '24px',
  [vars.iconColor]: 'currentcolor',
  _fullWidth: {
    [vars.hostWidth]: '100%',
  },
};

export default userAuthMethod;
